Bug 390551 - No device created for AR5212 after loading module ath5k.ko
Summary: No device created for AR5212 after loading module ath5k.ko
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-19 15:48 UTC by Joachim Frieben
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-22 06:52:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Frieben 2007-11-19 15:48:22 UTC
Description of problem:
After loading kernel module ath5k.ko on a system equipped with a DWL-G520
WLAN adapter sporting an AR5212 chipset, no corresponding device ath0 is
created.

Version-Release number of selected component (if applicable):
kernel-2.6.24-0.38.rc2.git6.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Boot system into single user mode.
2. Load ath5k.ko [modprobe ath5k].
  
Actual results:
dmesg reports "ath_pci 0000:01:0a.0: can't get channels
  ACPI: PCI interrupt for device 0000:01:0a.0 disabled
  ath_pci: probe of 0000:01:0a.0 failed with error -22"

Expected results:
  Module ath5k.ko is loaded, and the corresponding device gets created.

Additional info:
  This used to work better for 2.6.23.x kernels, see bug 254192, where
  the device was created correctly, and only DHCP failed to establish a
  working network connection.

Comment 1 Joachim Frieben 2007-11-19 22:09:27 UTC
Same behaviour for kernel-2.6.24-0.39.rc3.git1.fc9.

Comment 2 Joachim Frieben 2007-11-22 06:52:49 UTC
Fixed in kernel-2.6.24-0.41.rc3.git1.fc9.


Note You need to log in before you can comment on or make changes to this bug.